## gnulib 20180621~6979c25

=== debian/changelog ===
gnulib (20180621~6979c25-3) experimental; urgency=medium

  * QA upload.
  * vasnprintf: Fix heap memory overrun bug (CVE-2018-17942) (Closes: #910757)

 -- Salvatore Bonaccorso <carnil@debian.org>  Tue, 12 Feb 2019 07:14:48 +0100

gnulib (20180621~6979c25-2) experimental; urgency=medium

  * Update Vcs-* fields: Moved to collaborative debian maintenance.
  * Orphan package.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 10 Feb 2019 15:53:04 +0100

gnulib (20180621~6979c25-1) experimental; urgency=medium

  * Update debian/clscal/clscan to handle boilerplate LGPLv3+ or GPLv2.
  * Update copyright info: Tighten coverage.
  * Add TODO on getting clscan to handle multi-line copyright field.
  * Unfuzz patch 01. Refresh patch with shortening quilt options.
  * Update DEP-3 patch headers.
  * Add patch 03
    to avoid tests broken or depending on unavailable tool cppi.
  * Stop install documentation file NEWS.stable:
    Unavailable now that we use upstream source directly.
  * Stop install config.charset: No longer provided upstream.
  * Enable testing during build.
  * Update copyright file.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 01 Feb 2019 16:22:56 +0100

gnulib (20140202+stable-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * vasnprintf: Fix heap memory overrun bug (CVE-2018-17942) (Closes: #910757)

 -- Salvatore Bonaccorso <carnil@debian.org>  Sat, 09 Feb 2019 11:11:06 +0100

gnulib (20140202+stable-3) unstable; urgency=medium

  * Update copyright info:
    + Fix generate copyright file deterministically.
    + Add TODO about fixing license detection of multi-licensed files.
    + Fix use license exception notation.
    + Use semantic newlines in License fields.
    + Single-space indent License fields.
    + Update coverage.
    + Use https protocol in file format URL.
    + Update source URLs.
    + Add alternate URL for upstream contact.
    + Use SPDX license shortnames.
    + Update coverage.
  * Use https protocol in homepage URL.
  * Update package relations:
    + Wrap and sort entries.
    + Relax to build-depend unversioned on debhelper, stop explicitly
      build-depend on dpkg-dev, and relax to depend unversioned on
      gettext: Needed versions satisfied even in oldstable.
  * Add git-buildpackage config:
    + Enable pristine-tar.
    + Enable signed tags.
    + Filter out any .git* files.
  * Update Vcs-* fields: Source moved to Salsa.
  * Friendly packaging takeover, in team build-common.
    Closes: Bug#847043. Thanks for past work to Ian Beckwith.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 23 Jun 2018 09:23:11 +0200
