=== debian/changelog ===
gnulib (20200105~a7903da-2) unstable; urgency=high

  * QA upload.
  * Rebuild to make arm64 build successful.
  * debian/upstream/metadata: Set upstream metadata fields:
    Repository, Repository-Browse.
  * debian/patches/backport/0006: Add patch to fix regression
    introduced on 2020-01-04.
  * debian/clscan/clscan: Always break the file list into multiline
    text. This may make lintian happy with long Files: list.
  * debian/clscan/files.yaml: Slightly update copyright information
    for files under pygnulib/.
  * debian/copyright: Regenerated with updated clscan tool.
  * debian/watch: Monitor upstream Git HEAD.

 -- Boyuan Yang <byang@debian.org>  Wed, 15 Jan 2020 00:31:19 -0500

gnulib (20200105~a7903da-1) unstable; urgency=medium

  * QA upload.
  * Upload to unstable.

 -- Boyuan Yang <byang@debian.org>  Tue, 14 Jan 2020 16:31:05 -0500

gnulib (20200105~a7903da-1~exp2) experimental; urgency=medium

  * QA upload.
  * debian/control:
    + demote all dependencies to recommendations so that the gnulib
      package can be used for cross compilation.
    + Mark package gnulib as Multi-Arch: foreign.
  * debian/patches: Add patch to lower the autoconf version
    requirement from 2.63 to 2.62. This circumvents FTBFS of
    libtool 2.4.6 with new gnulib snapshot.
  * debian/clscan/clscan: Update boilerplate texts to use secure
    URI for GPL licenses.

 -- Boyuan Yang <byang@debian.org>  Mon, 13 Jan 2020 23:33:13 -0500

gnulib (20200105~a7903da-1~exp1) experimental; urgency=medium

  * QA upload.
  * New upstream git snapshot.
  * debian/control:
    + Bump Standards-Version to 4.4.1.
    + Bump debhelper compat to v12.
  * debian/patches/03-vasnprintf: Dropped, merged upstream.
  * debian/copyright: Refreshed using debian/clscan tool.
  * debian/git-merge-changelog.lintian-overrides: Add override
  * debian/patches: Add patch to relax gettext version
    requirement down to (>= 0.19.8).
    This patch should be removed once gettext 0.20+ is available
    in Debian.
  * debian/clscan/clscan: Updated to handler boilerplate for
    GPLv3+.
    for false positive of spelling-error-in-readme-debian.
  * debian/rules:
    + Enable full hardening during build.
    + Attempt to enable tests during build time.
      - The gettext module is excluded for now, waiting for gettext 0.20.x
        to enter Debian.
      - Only a small amount of tests are enabled for now.

 -- Boyuan Yang <byang@debian.org>  Tue, 07 Jan 2020 14:40:45 -0500

gnulib (20140202+stable-4) unstable; urgency=medium

  * QA upload.
  * Orphan package to match 20180621~6979c25-2 in experimental.
  * Fix compat issue with glibc 2.28 (closes: #915151).

 -- Julien Cristau <jcristau@debian.org>  Sun, 31 Mar 2019 14:36:20 +0200

gnulib (20140202+stable-3.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Diagnose ERE '()|\1' (CVE-2009-5155) (Closes: #924613)

 -- Salvatore Bonaccorso <carnil@debian.org>  Fri, 15 Mar 2019 21:08:27 +0100
