=== debian/control ===
Source: gnulib
Section: devel
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends:
 bison <!nocheck>,
 debhelper-compat (= 12),
 gettext (>= 0.19.8.1) <!nocheck>,
 gperf <!nocheck>,
 perl,
Build-Depends-Indep:
 texinfo,
Standards-Version: 4.4.1
Homepage: https://www.gnu.org/software/gnulib/
Vcs-Git: https://salsa.debian.org/debian/gnulib.git
Vcs-Browser: https://salsa.debian.org/debian/gnulib

Package: git-merge-changelog
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: git merge driver for GNU ChangeLog files
 ChangeLog files *always* foul up most version control systems in
 their default configuration.
 .
 git-merge-changelog is a tool from gnulib designed to help with this
 for the case of GNU-style ChangeLogs; it can be used with at least
 git, bzr, and hg.

Package: gnulib
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Recommends:
 autoconf,
 automake,
 autopoint,
 bison,
 build-essential,
 gettext (>= 0.19.8.1),
 gperf,
 libtool,
 m4,
 texinfo,
Suggests:
 clisp,
 perl,
 python3:any,
Description: GNU Portability Library
 The GNU portability library is a macro system and C declarations and
 definitions for commonly-used API elements and abstracted system behaviors. It
 can be used to improve portability and other functionality in your programs.
