=== debian/changelog ===
gnulib (20200127~e313a53-1) unstable; urgency=medium

  * QA upload.
  * debian/patches/backport: Drop backported patches.
  * debian/control: Bump Standards-Version to 4.5.0.
  * debian/copyright: Refreshed.
  * debian/rules: Enable test for regex module.

 -- Boyuan Yang <byang@debian.org>  Tue, 28 Jan 2020 13:14:41 -0500
