=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,20 @@
 #!/usr/bin/make -f
+# -*- makefile -*-
+#  # Uncomment this to turn on verbose mode.
+# export DH_VERBOSE=1
+#
+# # see FEATURE AREAS in dpkg-buildflags(1)
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+#
+# # see ENVIRONMENT in dpkg-buildflags(1)
+# # package maintainers to append CFLAGS
+# #export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
+# # package maintainers to append LDFLAGS
+# export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
 
-#EXPORT DH_VERBOSE=1
+
+GNULIB_DESTDIR=$(CURDIR)/debian/gnulib/
+
 
 %:
 	dh ${@}
@@ -12,7 +26,7 @@
 	dh_auto_clean
 
 override_dh_auto_configure-arch:
-	./gnulib-tool --create-testdir --without-tests -S \
+	./gnulib-tool --create-testdir --with-tests -S \
 		--dir=debian/git-merge-changelog.src git-merge-changelog
 	dh_auto_configure --sourcedir debian/git-merge-changelog.src
 
@@ -39,6 +53,7 @@
 	chmod 0755 debian/gnulib/usr/share/gnulib/build-aux/config.guess
 	chmod 0755 debian/gnulib/usr/share/gnulib/build-aux/config.sub
 	chmod 0755 debian/gnulib/usr/share/gnulib/build-aux/gendocs.sh
+	-chmod 0644 debian/gnulib/usr/share/gnulib/config/srclistvars.sh
 	chmod 0644 debian/gnulib/usr/share/gnulib/doc/gendocs_template
 	chmod 0644 debian/gnulib/usr/share/gnulib/m4/fflush.m4
 	chmod 0644 debian/gnulib/usr/share/gnulib/modules/canonicalize-lgpl
@@ -52,7 +67,31 @@
 	# Remove unused files
 	rm -f debian/gnulib/usr/share/gnulib/doc/gnulib.info
 	rm -f debian/gnulib/usr/share/gnulib/doc/gnulib.html
-	rm -f debian/gnulib/usr/share/gnulib/modules/COPYING
 	rm -f debian/gnulib/usr/share/gnulib/*/.cvsignore debian/gnulib/usr/share/gnulib/.cvsignore
 	rm -f debian/gnulib/usr/share/gnulib/*/.gitignore debian/gnulib/usr/share/gnulib/.gitignore
 	rm -f debian/gnulib/usr/share/gnulib/*/.gitattributes debian/gnulib/usr/share/gnulib/.gitattributes
+
+
+# Run tests here.
+override_dh_auto_test-indep:
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
+# FIXME: Full test could be too time-consuming.
+#        If you have better idea, please fix it.
+#
+#        Test exclusion list:
+#          * gettext: Obsolete; Needs gettext >= 0.20 to work (which is not
+#                     available in Debian yet).
+#                     https://bugs.debian.org/934738
+	( \
+	    GNULIB_MODULE_LIST=$$(./gnulib-tool --list | grep -v gettext | tr '\n' ' ') ; \
+	    printf "Current working dir is: %s\n" "$$(realpath .)" ; \
+	    GNULIB_MODULE_LIST="di-set select times regex" ; \
+	    ./gnulib-tool --test $$GNULIB_MODULE_LIST 2>&1 ; \
+	)
+endif
+
+# Do not run tests for binary targets.
+override_dh_auto_test-arch:
+
+override_dh_missing:
+	dh_missing --fail-missing
