=== debian/watch ===
version=4
opts="mode=git, pgpmode=none, pretty=%cd~%h" \
 https://git.savannah.gnu.org/git/gnulib.git \
  HEAD debian uupdate
