## gnulib 20200505~0747bf0

=== debian/changelog ===
gnulib (20200505~0747bf0-1) unstable; urgency=medium

  * QA upload.
  * New upstream snapshot.
  * debian/control:
    + Bump debhelper compat to v13.
  * debian/rules: Adopt debhelper compat v13 grammar.
  * debian/patches/0005: Dropped, patch picked by Debian libtool.
  * debian/clscan/clscan: Minor improvement on workflow.
  * debian/copyright: Refresh copyright information.

 -- Boyuan Yang <byang@debian.org>  Wed, 06 May 2020 00:00:24 -0400
