=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian QA Group <packages@qa.debian.org>
 Build-Depends:
  bison <!nocheck>,
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  gettext (>= 0.19.8.1) <!nocheck>,
  gperf <!nocheck>,
  perl,
