=== debian/rules ===
--- 
+++ 
@@ -10,7 +10,7 @@
 # # package maintainers to append CFLAGS
 # #export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
 # # package maintainers to append LDFLAGS
-# export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
+# export DEB_LDFLAGS_MAINT_APPEND =
 
 
 GNULIB_DESTDIR=$(CURDIR)/debian/gnulib/
@@ -19,11 +19,10 @@
 %:
 	dh ${@}
 
-override_dh_auto_clean:
+execute_before_dh_auto_clean:
 	$(MAKE) -C doc clean
 	-rm -rf debian/git-merge-changelog.src
 	-rm -f debian/git-merge-changelog.1
-	dh_auto_clean
 
 override_dh_auto_configure-arch:
 	./gnulib-tool --create-testdir --with-tests -S \
@@ -92,6 +91,3 @@
 
 # Do not run tests for binary targets.
 override_dh_auto_test-arch:
-
-override_dh_missing:
-	dh_missing --fail-missing
