=== debian/changelog ===
gnulib (20210102~ebaa53c-1) unstable; urgency=medium

  * QA upload.
  * New upstream snapshot.
  * debian/patches/0004: Dropped, we now use gettext 0.20+.
  * debian/control: Bump gettext version requirement to 0.20+.
  * debian/rules: Do not exclude tests for gettext.

 -- Boyuan Yang <byang@debian.org>  Sat, 02 Jan 2021 15:07:40 -0500
