=== debian/control ===
--- 
+++ 
@@ -5,12 +5,12 @@
 Build-Depends:
  bison <!nocheck>,
  debhelper-compat (= 13),
- gettext (>= 0.19.8.1) <!nocheck>,
+ gettext (>= 0.20~) <!nocheck>,
  gperf <!nocheck>,
  perl,
 Build-Depends-Indep:
  texinfo,
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Homepage: https://www.gnu.org/software/gnulib/
 Vcs-Git: https://salsa.debian.org/debian/gnulib.git
 Vcs-Browser: https://salsa.debian.org/debian/gnulib
