=== debian/rules ===
--- 
+++ 
@@ -61,8 +61,8 @@
 	chmod 0644 debian/gnulib/usr/share/gnulib/tests/test-base64.c
 	chmod 0755 debian/gnulib/usr/share/gnulib/tests/test-closein.sh
 	chmod 0644 debian/gnulib/usr/share/gnulib/tests/test-fflush.c
-	chmod 0755 debian/gnulib/usr/share/gnulib/tests/test-posix_spawn1.in.sh
-	chmod 0755 debian/gnulib/usr/share/gnulib/tests/test-posix_spawn2.in.sh
+	chmod 0755 debian/gnulib/usr/share/gnulib/tests/test-posix_spawn-dup2-stdout.in.sh
+	chmod 0755 debian/gnulib/usr/share/gnulib/tests/test-posix_spawn-dup2-stdin.in.sh
 	# Remove unused files
 	rm -f debian/gnulib/usr/share/gnulib/doc/gnulib.info
 	rm -f debian/gnulib/usr/share/gnulib/doc/gnulib.html
@@ -76,13 +76,8 @@
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 # FIXME: Full test could be too time-consuming.
 #        If you have better idea, please fix it.
-#
-#        Test exclusion list:
-#          * gettext: Obsolete; Needs gettext >= 0.20 to work (which is not
-#                     available in Debian yet).
-#                     https://bugs.debian.org/934738
 	( \
-	    GNULIB_MODULE_LIST=$$(./gnulib-tool --list | grep -v gettext | tr '\n' ' ') ; \
+	    GNULIB_MODULE_LIST=$$(./gnulib-tool --list | tr '\n' ' ') ; \
 	    printf "Current working dir is: %s\n" "$$(realpath .)" ; \
 	    GNULIB_MODULE_LIST="di-set select times regex" ; \
 	    ./gnulib-tool --test $$GNULIB_MODULE_LIST 2>&1 ; \
