=== debian/changelog ===
gnulib (20210822~d383792-1) unstable; urgency=medium

  * QA upload.
  * New upstream snapshot.
  * Bump Standards-Version to 4.6.0 (no changes needed).

 -- Boyuan Yang <byang@debian.org>  Sat, 28 Aug 2021 17:06:21 -0400
