=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
  perl,
 Build-Depends-Indep:
  texinfo,
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Homepage: https://www.gnu.org/software/gnulib/
 Vcs-Git: https://salsa.debian.org/debian/gnulib.git
 Vcs-Browser: https://salsa.debian.org/debian/gnulib
@@ -39,7 +39,7 @@
  autopoint,
  bison,
  build-essential,
- gettext (>= 0.19.8.1),
+ gettext (>= 0.20~),
  gperf,
  libtool,
  m4,
