## gnulib 20220606~2849690

=== debian/changelog ===
gnulib (20220606~2849690-1) unstable; urgency=medium

  * QA upload.
  * New upstream snapshot.
    + Fix compatibility with Ubuntu 22.04 and OpenSSL 3.0.x.
  * debian/control: Set git-merge-changelog to be Section: vcs.
  * debian/control: Bump Standards-Version to 4.6.1.
  * debian/control: Set Rules-Requires-Root: no.
  * debian/clscan: Fix various bugs.
  * debian/copyright: Refresh copyright information.

 -- Boyuan Yang <byang@debian.org>  Fri, 10 Jun 2022 23:37:59 -0400
