=== debian/control ===
--- 
+++ 
@@ -10,12 +10,14 @@
  perl,
 Build-Depends-Indep:
  texinfo,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Homepage: https://www.gnu.org/software/gnulib/
 Vcs-Git: https://salsa.debian.org/debian/gnulib.git
 Vcs-Browser: https://salsa.debian.org/debian/gnulib
+Rules-Requires-Root: no
 
 Package: git-merge-changelog
+Section: vcs
 Architecture: any
 Depends:
  ${misc:Depends},
