## gnulib 20220829~828413b

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # GNU Makefile for gnulib central.
-# Copyright (C) 2006, 2009-2021 Free Software Foundation, Inc.
+# Copyright (C) 2006, 2009-2022 Free Software Foundation, Inc.
 #
 # Copying and distribution of this file, with or without modification,
 # in any medium, are permitted without royalty provided the copyright
@@ -142,7 +142,13 @@
 	@./check-copyright
 
 # Regenerate some files that are stored in the repository.
-regen: MODULES.html
+regen: build-aux/bootstrap MODULES.html
+
+# build-aux/bootstrap needs to be regenerated from top/bootstrap*.
+build-aux/bootstrap: top/gen-bootstrap.sed top/bootstrap top/bootstrap-funclib.sh
+	sed -f top/gen-bootstrap.sed < top/bootstrap > build-aux/bootstrap-tmp
+	chmod a+x build-aux/bootstrap-tmp
+	mv build-aux/bootstrap-tmp build-aux/bootstrap
 
 # MODULES.html is periodically being generated and copied to the web pages at
 # :ext:USER@cvs.savannah.gnu.org:/web/gnulib/gnulib/
@@ -173,6 +179,9 @@
 	    done > $$exempt;						\
 	git ls-files tests/unictype >> $$exempt;			\
 	git ls-files doc/INSTALL* >> $$exempt;				\
+	for file in $$(git ls-files); do				\
+	  test ! -h $$file || echo $$file;				\
+	done >> $$exempt;						\
 	git ls-files | grep -vFf $$exempt				\
 	  | xargs grep -L '^/\*.*GENERATED AUTOMATICALLY'		\
 	  | UPDATE_COPYRIGHT_MAX_LINE_LENGTH=79				\
