=== debian/changelog ===
gnulib (20220829~828413b-1) unstable; urgency=medium

  * QA upload.
  * New upstream snapshot.
  * debian/copyright: Update information.

 -- Boyuan Yang <byang@debian.org>  Tue, 30 Aug 2022 16:08:25 -0400
