## gnulib 20230113+stable

=== debian/changelog ===
gnulib (20230113+stable-1) unstable; urgency=medium

  * QA upload.
  * New upstream snapshot from stable branch stable-202301.

 -- Boyuan Yang <byang@debian.org>  Wed, 18 Jan 2023 19:04:30 -0500

gnulib (20230101+stable-1) unstable; urgency=medium

  * QA upload.
  * New upstream stable branch stable-202301.

 -- Boyuan Yang <byang@debian.org>  Wed, 11 Jan 2023 13:01:48 -0500

gnulib (20221120~6ec9bc7-1) unstable; urgency=medium

  * QA upload.
  * New upstream snapshot.

 -- Boyuan Yang <byang@debian.org>  Wed, 23 Nov 2022 17:51:25 -0500
