## gnulib 20230127+stable

=== debian/changelog ===
gnulib (20230127+stable-1) unstable; urgency=medium

  * QA upload.
  * New upstream snapshot from stable branch stable-202301.

 -- Boyuan Yang <byang@debian.org>  Wed, 08 Feb 2023 20:23:31 -0500
