=== debian/changelog ===
gnulib (20230209+stable-1) unstable; urgency=medium

  * QA upload.
  * New upstream snapshot from stable branch stable-202301.

 -- Boyuan Yang <byang@debian.org>  Fri, 24 Feb 2023 15:36:19 -0500
