=== debian/changelog ===
gnulib (20230615+stable-1) unstable; urgency=medium

  * QA upload.
  * New upstream snapshot from stable branch stable-202301.

 -- Boyuan Yang <byang@debian.org>  Tue, 20 Jun 2023 14:58:32 -0400
