## gnulib 20230718+stable

=== debian/changelog ===
gnulib (20230718+stable-1) unstable; urgency=medium

  * QA upload.
  * New upstream snapshot from stable branch stable-202307.

 -- Boyuan Yang <byang@debian.org>  Fri, 21 Jul 2023 19:27:51 -0400
