## gnulib 20231002+stable

=== debian/changelog ===
gnulib (20231002+stable-1) unstable; urgency=medium

  * QA upload.
  * New upstream snapshot from stable branch stable-202307.

 -- Boyuan Yang <byang@debian.org>  Fri, 06 Oct 2023 19:24:56 -0400
