## gnulib 20240117+stable

=== debian/changelog ===
gnulib (20240117+stable-1) unstable; urgency=medium

  * QA upload.
  * New upstream snapshot from stable branch stable-202401.

 -- Boyuan Yang <byang@debian.org>  Thu, 18 Jan 2024 19:55:03 -0500
