=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
  perl,
 Build-Depends-Indep:
  texinfo,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://www.gnu.org/software/gnulib/
 Vcs-Git: https://salsa.debian.org/debian/gnulib.git
 Vcs-Browser: https://salsa.debian.org/debian/gnulib
