## gnulib 20240412~dfb7117+stable202401.20240408~aa0aa87

=== debian/changelog ===
gnulib (20240412~dfb7117+stable202401.20240408~aa0aa87-3ubuntu1) oracular; urgency=medium

  * debian/tests/control:
    Add allow-stderr to Restrictions. Git 2.45 is emitting a message about
    the default branch name to stderr. This fixes the autopkgtest.
    (LP: #2069304)

 -- Danilo Egea Gondolfo <danilo.egea.gondolfo@canonical.com>  Thu, 13 Jun 2024 14:54:21 +0100

gnulib (20240412~dfb7117+stable202401.20240408~aa0aa87-3) unstable; urgency=medium

  * Add dh_gnulib_patch and rework dh integration.  Closes: #1069597.

 -- Simon Josefsson <simon@josefsson.org>  Fri, 10 May 2024 20:45:07 +0200

gnulib (20240412~dfb7117+stable202401.20240408~aa0aa87-2) unstable; urgency=medium

  * Upload to unstable.
  * Add gnulibvars.mk, for use in debian/rules.
  * Add Vcs-Git branch.
  * Lintian fixes.
  * metadata: Add Bug-Submit and Documentation links.
  * Fix gnulib-tool --version.

 -- Simon Josefsson <simon@josefsson.org>  Wed, 17 Apr 2024 17:11:14 +0200

gnulib (20240412~dfb7117+stable202401.20240408~aa0aa87-1) experimental; urgency=medium

  * Adopt package.  Closes: #921954.
  * New upstream snapshot.
  * Add debian/README.source.
  * gbp.conf: Set branches.
  * Ship gnulib.bundle, Python gnulib-tool, DEPENDENCIES, HACKING.
  * Bump Standards-Version: 4.7.0.
  * Bump debian/* copyright years.
  * gnulib: Add Suggests: git.

 -- Simon Josefsson <simon@josefsson.org>  Sun, 07 Apr 2024 10:08:50 +0200
