=== doc/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # Makefile for gnulib doc.  -*- coding: utf-8 -*-
-# Copyright (C) 2004, 2006-2021 Free Software Foundation, Inc.
+# Copyright (C) 2004, 2006-2024 Free Software Foundation, Inc.
 #
 # Copying and distribution of this file, with or without modification,
 # are permitted in any medium without royalty provided the copyright
@@ -9,7 +9,11 @@
 
 lang_env = env LANG= LC_MESSAGES= LC_ALL= LANGUAGE=
 makeinfo_prog = makeinfo
-MAKEINFO = $(lang_env) $(makeinfo_prog)
+# ASCII_DASHES_AND_QUOTES=0 is needed for makeinfo versions ≥ 7.1.
+# CHECK_NORMAL_MENU_STRUCTURE=1 is needed for makeinfo versions ≥ 6.8.
+MAKEINFO = $(lang_env) $(makeinfo_prog) \
+ -c ASCII_DASHES_AND_QUOTES=0 \
+ -c CHECK_NORMAL_MENU_STRUCTURE=1
 
 manual_opts = --no-split --reference-limit=2000
 TEXI2HTML = $(MAKEINFO) $(manual_opts) --html
@@ -39,20 +43,28 @@
 
 OMIT_TRAILING_EMPTY_LINES = /^$$/H; /^$$/d; x; s/\n//p; s/\n*//; x
 
-# INSTALL file with directed ASCII quotation marks.
+# INSTALL file with UTF-8 encoding.
 INSTALL: install.texi
 	$(INSTALL_PRELUDE) | cat - $< > tmp.texi
 	$(MAKEINFO) --plaintext --no-validate tmp.texi \
 	  | sed -e '$(OMIT_TRAILING_EMPTY_LINES)' > $@
 	rm -f tmp.texi
 
-# INSTALL file with ISO 646 or ISO 8859 quotation marks.
+# INSTALL file with ASCII encoding.
 INSTALL.ISO: INSTALL
-	sed -e "s/\`\([^']*\)'/'\1'/g" $< > $@
+	sed \
+          -e 's/©/(C)/g' \
+          -e 's/–/-/g' \
+          -e 's/‘/'\''/g' \
+          -e 's/’/'\''/g' \
+          -e 's/“/"/g' \
+          -e 's/”/"/g' \
+          $< > $@
 
-# INSTALL file with ISO 10646 (Unicode) quotation marks.
+# INSTALL file with UTF-8 encoding.
+# This file is obsolescent, as INSTALL now uses UTF-8.
 INSTALL.UTF-8: INSTALL
-	sed -e "s/\`\([^']*\)'/‘\1’/g" $< > $@
+	cp $< $@
 
 GNULIB_TEXI_FILES = $(filter-out maintain.texi make-stds.texi standards.texi,$(wildcard *.texi)) $(wildcard posix-headers/*.texi) $(wildcard posix-functions/*.texi) $(wildcard glibc-headers/*.texi) $(wildcard glibc-functions/*.texi)
 NEWEST_GNULIB_TEXI_FILE = $(shell ls -t $(GNULIB_TEXI_FILES) | sed 1q)
