=== debian/changelog ===
gnulib (20240701-1) unstable; urgency=medium

  * New upstream (branch stable-202407 master
    2520437549b14f3785b4b3c32a0a3fc792d4a9c0).
  * tests: Handle new git stderr warning, reported by Danilo Gondolfo.
  * patches/02-shebang.patch: Add Forwarded: URL.
  * patches/03-tests.patch: Drop unnecessary (?) patch.
  * Improve README.source.
  * test-dh-gnulib-patch, patches/00-gnulib-tool-version: Fuzz patches.
  * Include .gnulib-tool.py for python-based gnulib-tool.
  * Shorten version number.  Closes: #1069268.

 -- Simon Josefsson <simon@josefsson.org>  Tue, 02 Jul 2024 19:38:50 +0200
