=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: gnulib
 Section: devel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Simon Josefsson <simon@josefsson.org>
+Maintainer: Simon Josefsson <simon@josefsson.org>
 Uploaders:
  Boyuan Yang <byang@debian.org>,
 Build-Depends:
